Bug 321191 (CVE-2007-4995)

Summary: CVE-2007-4995 openssl dtls out of order vulnerabilitiy
Product: [Other] Security Response Reporter: Mark J. Cox (Product Security) <mjc>
Component: vulnerabilityAssignee: Tomas Mraz <tmraz>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: kreilly, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: reported=20071005,impact=important,source=openssl,public=20071012
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-16 12:45:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 321211, 321221    
Bug Blocks:    
Attachments:
Description Flags
draft advisory
none
proposed patch none

Description Mark J. Cox (Product Security) 2007-10-06 04:10:36 EDT
The OpenSSL team reported a flaw in OpenSSL DTLS support (introduced in OpenSSL
0.9.8) that could potentially lead to arbitrary code execution.

This will only affect OpenSSL with Red Hat Enterprise Linux 5, not earlier
versions.  We don't ship any client or server that uses DTLS by default.

We need to investigate the technical nature of the flaw to determine if the flaw
is captured by the various technologies in OpenSSL.  

Currently embargoed, public date not yet set.
Comment 1 Mark J. Cox (Product Security) 2007-10-06 04:10:36 EDT
Created attachment 218291 [details]
draft advisory
Comment 2 Mark J. Cox (Product Security) 2007-10-06 04:11:13 EDT
Created attachment 218311 [details]
proposed patch
Comment 6 Mark J. Cox (Product Security) 2007-10-12 06:57:17 EDT
now public, removing embargo
http://www.openssl.org/news/secadv_20071012.txt
Comment 7 Red Hat Product Security 2008-01-16 12:45:58 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0964.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2530